import { ContextLoginState } from "../../../../fd-toolbox/auth/login-state";
/**
 * Context providing login state and setter function
 */
export declare const AuthContext: import("react").Context<ContextLoginState>;
/**
 * Provider component that manages authentication state and exposes it via context
 *
 * @param children - React nodes that will have access to {@link AuthProvider}
 */
export declare function AuthProvider({ children }: {
    children: React.ReactNode;
}): import("react").JSX.Element;
export declare function useAuth(): ContextLoginState;
